summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2020-09-19 04:14:43 -0400
committerAndreas Grapentin <andreas@grapentin.org>2022-01-18 17:31:51 +0100
commit32a8c9a38d1ba2ae03bc36b004fa5c413419eb55 (patch)
tree94f0472dc2ef39b45252ab321a34292d55318960
parent80ac5004220942e9321c689efabc9d7b45cbe27a (diff)
housekeeping
-rwxr-xr-xsrc/abslibre-tools/librerelease3
-rw-r--r--src/chroot-tools/chcleanup.in1
-rw-r--r--src/chroot-tools/hooks-check.sh1
-rwxr-xr-xsrc/chroot-tools/librechroot15
-rwxr-xr-xsrc/chroot-tools/libremakepkg19
-rw-r--r--src/lib/conf.sh.in1
-rwxr-xr-xsrc/librefetch/librefetch-install1
-rwxr-xr-xsrc/pkgbuild-summarize-nonfree1
8 files changed, 22 insertions, 20 deletions
diff --git a/src/abslibre-tools/librerelease b/src/abslibre-tools/librerelease
index 62ba6b7..df47d85 100755
--- a/src/abslibre-tools/librerelease
+++ b/src/abslibre-tools/librerelease
@@ -6,6 +6,7 @@
# Copyright (C) 2010-2013 Nicolás Reynolds <fauno@parabola.nu>
# Copyright (C) 2013 Michał Masłowski <mtjm@mtjm.eu>
# Copyright (C) 2013-2014, 2017-2018 Luke Shumaker <lukeshu@parabola.nu>
+# Copyright (C) 2020 bill-auger <bill-auger@programmer.net>
#
# For just the create_signature() function:
# Copyright (C) 2006-2013 Pacman Development Team <pacman-dev@archlinux.org>
@@ -77,7 +78,6 @@ create_signature() {
gpg --detach-sign --use-agent "${SIGNWITHKEY[@]}" --no-armor "$filename" &>/dev/null || ret=$EXIT_FAILURE
-
if (( ! ret )); then
msg2 "Created signature file %s." "$filename.sig"
else
@@ -141,7 +141,6 @@ usage() {
flag '-c' 'Clean; delete packages in $WORKDIR/staging'
flag '-l' "List; list packages but not upload them"
flag '-u' "Upload-only; do not run db-update on the server"
-
flag '-n' "Dry-run; don't actually do anything"
flag '-h' "Show this message"
}
diff --git a/src/chroot-tools/chcleanup.in b/src/chroot-tools/chcleanup.in
index f6a08c2..10256dd 100644
--- a/src/chroot-tools/chcleanup.in
+++ b/src/chroot-tools/chcleanup.in
@@ -6,6 +6,7 @@ set -eE
#
# Copyright (C) 2011-2012 Nicolás Reynolds <fauno@parabola.nu>
# Copyright (C) 2012-2013, 2015, 2017-2018 Luke Shumaker <lukeshu@parabola.nu>
+# Copyright (C) 2020 bill-auger <bill-auger@programmer.net>
#
# License: GNU GPLv3+
#
diff --git a/src/chroot-tools/hooks-check.sh b/src/chroot-tools/hooks-check.sh
index 8d6a01b..730abc5 100644
--- a/src/chroot-tools/hooks-check.sh
+++ b/src/chroot-tools/hooks-check.sh
@@ -1,5 +1,6 @@
#!/hint/bash -euE -o pipefail
# Copyright (C) 2013, 2017 Luke Shumaker <lukeshu@parabola.nu>
+# Copyright (C) 2020 bill-auger <bill-auger@programmer.net>
#
# License: GNU GPLv2+
#
diff --git a/src/chroot-tools/librechroot b/src/chroot-tools/librechroot
index 2462f4b..52262c4 100755
--- a/src/chroot-tools/librechroot
+++ b/src/chroot-tools/librechroot
@@ -7,6 +7,7 @@ set -euE
# Copyright (C) 2012 Michał Masłowski <mtjm@mtjm.eu>
# Copyright (C) 2012-2018 Luke Shumaker <lukeshu@parabola.nu>
# Copyright (C) 2018 Andreas Grapentin <andreas@grapentin.org>
+# Copyright (C) 2020 bill-auger <bill-auger@programmer.net>
#
# License: GNU GPLv2+
#
@@ -190,16 +191,17 @@ mkarchroot() {
local cmd=(
unshare -m "$_mkarchroot"
- # mkarchroot flags: (flags are very similar to arch-nspawn)
+ # mkarchroot flags:
+ # * flags are very similar to arch-nspawn
"${arch_nspawn_flags[@]}"
# chroot directory:
-- "$copydir"
# pacman flags:
# * hack around https://bugs.archlinux.org/task/49347
--hookdir="$copydir/etc/pacman.d/hooks"
- # packages: (and maybe more flags... pacstrap injects
- # flags at the end, so we can't turn of flag parsing
- # with '--')
+ # packages:
+ # * and maybe more flags... pacstrap injects flags at the end,
+ # so we can't disable flag parsing with '--')
"${pkgs[@]}"
)
"${cmd[@]}"
@@ -332,8 +334,7 @@ readonly commands=(
# Globals: $CHROOTDIR, $CHROOT, $COPY, $rootdir and $copydir
main() {
- COPY=$LIBREUSER
- [[ $COPY != root ]] || COPY=copy
+ COPY=$( [[ $LIBREUSER == root ]] && echo copy || echo "$LIBREUSER" )
declare -i retconf=0
load_conf chroot.conf CHROOTDIR CHROOT || retconf=$?
@@ -482,7 +483,7 @@ main() {
EOF
# generate custom pacman.conf
- sed -r \
+ sed -r \
-e "s|^#?\\s*Architecture.+|Architecture = ${target_arch}|g" \
-e "s|^.*Include\s*=\s*/etc/pacman.d/.*\.conf|#&|" \
-e "N ; /${REPOS_HEADER}/ i ${VOLATILE_REPOS} \n\n" \
diff --git a/src/chroot-tools/libremakepkg b/src/chroot-tools/libremakepkg
index 20fcb6a..f6c6c80 100755
--- a/src/chroot-tools/libremakepkg
+++ b/src/chroot-tools/libremakepkg
@@ -205,17 +205,14 @@ main() {
# Parse command line options ###########################################
while getopts 'n:l:w:r:NRS:h' flag ; do
case "${flag}" in
- n) if $INCHROOT; then err_chflag "$flag"; else
- chroot=$OPTARG; fi;;
- l) if $INCHROOT; then err_chflag "$flag"; else
- copy=$OPTARG; fi;;
- w|r) if $INCHROOT; then err_chflag "$flag"; else
- librechroot_flags+=(-$flag "$OPTARG"); fi;;
- N) NONET=false;;
- R) repack=true; makepkg_args+=(-R);;
- S) srcpkg=$OPTARG;;
- h) usage; exit $EXIT_SUCCESS;;
- *) usage >&2; exit $EXIT_INVALIDARGUMENT;;
+ n ) chroot=$OPTARG ; ! $INCHROOT || err_chflag "$flag";;
+ l ) copy=$OPTARG ; ! $INCHROOT || err_chflag "$flag";;
+ w|r) librechroot_flags+=(-$flag "$OPTARG") ; ! $INCHROOT || err_chflag "$flag";;
+ N ) NONET=false;;
+ R ) repack=true; makepkg_args+=(-R);;
+ S ) srcpkg=$OPTARG;;
+ h ) usage; exit $EXIT_SUCCESS;;
+ * ) usage >&2; exit $EXIT_INVALIDARGUMENT;;
esac
done
shift $((OPTIND - 1))
diff --git a/src/lib/conf.sh.in b/src/lib/conf.sh.in
index 46366d0..757f60a 100644
--- a/src/lib/conf.sh.in
+++ b/src/lib/conf.sh.in
@@ -2,6 +2,7 @@
# This may be included with or without `set -euE`
# Copyright (C) 2012-2015, 2017-2018 Luke Shumaker <lukeshu@parabola.nu>
+# Copyright (C) 2020 bill-auger <bill-auger@programmer.net>
#
# License: GNU GPLv2+
#
diff --git a/src/librefetch/librefetch-install b/src/librefetch/librefetch-install
index a582b43..acf6adc 100755
--- a/src/librefetch/librefetch-install
+++ b/src/librefetch/librefetch-install
@@ -3,6 +3,7 @@
# lirefetch-install: uninstall librefetch from /etc/makepkg.conf
#
# Copyright (C) 2013-2015, 2017 Luke Shumaker <lukeshu@parabola.nu>
+# Copyright (C) 2020 bill-auger <bill-auger@programmer.net>
#
# License: GNU GPLv3+
#
diff --git a/src/pkgbuild-summarize-nonfree b/src/pkgbuild-summarize-nonfree
index 66bb413..51d487d 100755
--- a/src/pkgbuild-summarize-nonfree
+++ b/src/pkgbuild-summarize-nonfree
@@ -1,5 +1,6 @@
#!/usr/bin/env bash
# Copyright (C) 2013, 2017 Luke Shumaker <lukeshu@parabola.nu>
+# Copyright (C) 2020 bill-auger <bill-auger@programmer.net>
#
# License: GNU GPLv3+
#